Browse Source

Add vine to lower-constraints

The newest vine release (5.0.0) is incompatible with the version of amqp
used on stable branches and results in test errors[1]:

  "AttributeError: False does not have the attribute 'info'"

Ensure the lower-constraints tox environment uses the same version of
vine as defined in upper-constraints.txt.

[1] https://zuul.opendev.org/t/openstack/build/78dfcdd4272241459fb904aa70600e5b

Depends-on: https://review.opendev.org/755405

Change-Id: I4b9b11b89e9f4120ae4b7fb8e213628dd9e8121c
(cherry picked from commit 06e58fcea0)
changes/59/753459/2
Colleen Murphy 9 months ago
parent
commit
c202bd506a
1 changed files with 1 additions and 0 deletions
  1. +1
    -0
      lower-constraints.txt

+ 1
- 0
lower-constraints.txt View File

@ -65,6 +65,7 @@ stevedore==1.20.0
tempest==17.1.0
testtools==2.2.0
urllib3==1.22
vine==1.3.0
WebOb==1.7.1
WebTest==2.0.27
Werkzeug==0.14.1

Loading…
Cancel
Save